cURL
curl --request POST \
--url https://gateway.7exchange.io/ipg/1.0.0/payment/token/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"shipping": {
"country": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"street1": "<string>",
"language": "<string>"
},
"customer": {
"telnocc": "<string>",
"phone": "<string>",
"email": "<string>",
"givenName": "<string>",
"surname": "<string>",
"customerId": "<string>",
"ip": "<string>",
"birthDate": 123
},
"card": {
"number": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"cvv": "<string>"
},
"paymentBrand": "<string>",
"paymentMode": "<string>",
"organizationId": "<string>"
}
'import requests
url = "https://gateway.7exchange.io/ipg/1.0.0/payment/token/register"
payload = {
"shipping": {
"country": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"street1": "<string>",
"language": "<string>"
},
"customer": {
"telnocc": "<string>",
"phone": "<string>",
"email": "<string>",
"givenName": "<string>",
"surname": "<string>",
"customerId": "<string>",
"ip": "<string>",
"birthDate": 123
},
"card": {
"number": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"cvv": "<string>"
},
"paymentBrand": "<string>",
"paymentMode": "<string>",
"organizationId": "<string>"
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
shipping: {
country: '<string>',
city: '<string>',
state: '<string>',
postcode: '<string>',
street1: '<string>',
language: '<string>'
},
customer: {
telnocc: '<string>',
phone: '<string>',
email: '<string>',
givenName: '<string>',
surname: '<string>',
customerId: '<string>',
ip: '<string>',
birthDate: 123
},
card: {
number: '<string>',
expiryMonth: '<string>',
expiryYear: '<string>',
cvv: '<string>'
},
paymentBrand: '<string>',
paymentMode: '<string>',
organizationId: '<string>'
})
};
fetch('https://gateway.7exchange.io/ipg/1.0.0/payment/token/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Merchant API
Post payment token register
POST
/
payment
/
token
/
register
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
⌘I

